summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-06-07 07:50:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-12 06:51:39 +0700
commit1f19afe610ab65a5b1d6f5d4a62974b2b99b1f9f (patch)
treeddffa149dbd361292f5da1dc0f2bcefc28a99e5a
parenta82da8ced9432560d62d0d11fc101d6a516fe36d (diff)
downloadslackbuilds-1f19afe610ab65a5b1d6f5d4a62974b2b99b1f9f.tar.gz
slackbuilds-1f19afe610ab65a5b1d6f5d4a62974b2b99b1f9f.tar.xz
academic/GeoGebra: Added (A free software for teaching mathematics).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/GeoGebra/GeoGebra.SlackBuild147
-rw-r--r--academic/GeoGebra/GeoGebra.info10
-rw-r--r--academic/GeoGebra/README4
-rw-r--r--academic/GeoGebra/doinst.sh9
-rw-r--r--academic/GeoGebra/slack-desc19
5 files changed, 189 insertions, 0 deletions
diff --git a/academic/GeoGebra/GeoGebra.SlackBuild b/academic/GeoGebra/GeoGebra.SlackBuild
new file mode 100644
index 0000000000..e3fdd102ff
--- /dev/null
+++ b/academic/GeoGebra/GeoGebra.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/sh
+
+# Slackware build script for GeoGebra
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=GeoGebra
+VERSION=${VERSION:-4.4.37.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-Linux-Installer-$VERSION.tar.gz
+cd geogebra-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -dm755 $PKG/usr/bin \
+ $PKG/usr/share/applications \
+ $PKG/usr/share/geogebra \
+ $PKG/usr/share/mime/packages
+
+install -dm755 $PKG/usr/share/icons/hicolor/16x16/apps \
+ $PKG/usr/share/icons/hicolor/22x22/apps \
+ $PKG/usr/share/icons/hicolor/24x24/apps \
+ $PKG/usr/share/icons/hicolor/32x32/apps \
+ $PKG/usr/share/icons/hicolor/36x36/apps \
+ $PKG/usr/share/icons/hicolor/48x48/apps \
+ $PKG/usr/share/icons/hicolor/64x64/apps \
+ $PKG/usr/share/icons/hicolor/72x72/apps \
+ $PKG/usr/share/icons/hicolor/96x96/apps \
+ $PKG/usr/share/icons/hicolor/128x128/apps \
+ $PKG/usr/share/icons/hicolor/192x192/apps \
+ $PKG/usr/share/icons/hicolor/256x256/apps \
+ $PKG/usr/share/icons/hicolor/scalable/apps
+
+install -dm755 $PKG/usr/share/icons/hicolor/16x16/mimetypes \
+ $PKG/usr/share/icons/hicolor/22x22/mimetypes \
+ $PKG/usr/share/icons/hicolor/24x24/mimetypes \
+ $PKG/usr/share/icons/hicolor/32x32/mimetypes \
+ $PKG/usr/share/icons/hicolor/36x36/mimetypes \
+ $PKG/usr/share/icons/hicolor/48x48/mimetypes \
+ $PKG/usr/share/icons/hicolor/64x64/mimetypes \
+ $PKG/usr/share/icons/hicolor/72x72/mimetypes \
+ $PKG/usr/share/icons/hicolor/96x96/mimetypes \
+ $PKG/usr/share/icons/hicolor/128x128/mimetypes \
+ $PKG/usr/share/icons/hicolor/192x192/mimetypes \
+ $PKG/usr/share/icons/hicolor/256x256/mimetypes \
+ $PKG/usr/share/icons/hicolor/scalable/mimetypes
+
+install -m644 *.jar $PKG/usr/share/geogebra
+install -m755 geogebra $PKG/usr/bin
+install -m644 geogebra.xml $PKG/usr/share/mime/packages
+install -m644 geogebra.desktop $PKG/usr/share/applications
+
+install -m644 icons/hicolor/16x16/apps/geogebra.png $PKG/usr/share/icons/hicolor/16x16/apps
+install -m644 icons/hicolor/22x22/apps/geogebra.png $PKG/usr/share/icons/hicolor/22x22/apps
+install -m644 icons/hicolor/24x24/apps/geogebra.png $PKG/usr/share/icons/hicolor/24x24/apps
+install -m644 icons/hicolor/32x32/apps/geogebra.png $PKG/usr/share/icons/hicolor/32x32/apps
+install -m644 icons/hicolor/36x36/apps/geogebra.png $PKG/usr/share/icons/hicolor/36x36/apps
+install -m644 icons/hicolor/48x48/apps/geogebra.png $PKG/usr/share/icons/hicolor/48x48/apps
+install -m644 icons/hicolor/64x64/apps/geogebra.png $PKG/usr/share/icons/hicolor/64x64/apps
+install -m644 icons/hicolor/72x72/apps/geogebra.png $PKG/usr/share/icons/hicolor/72x72/apps
+install -m644 icons/hicolor/96x96/apps/geogebra.png $PKG/usr/share/icons/hicolor/96x96/apps
+install -m644 icons/hicolor/128x128/apps/geogebra.png $PKG/usr/share/icons/hicolor/128x128/apps
+install -m644 icons/hicolor/192x192/apps/geogebra.png $PKG/usr/share/icons/hicolor/192x192/apps
+install -m644 icons/hicolor/256x256/apps/geogebra.png $PKG/usr/share/icons/hicolor/256x256/apps
+install -m644 icons/hicolor/scalable/apps/geogebra.svgz $PKG/usr/share/icons/hicolor/scalable/apps
+
+install -m644 icons/hicolor/16x16/mimetypes/*.* $PKG/usr/share/icons/hicolor/16x16/mimetypes
+install -m644 icons/hicolor/22x22/mimetypes/*.* $PKG/usr/share/icons/hicolor/22x22/mimetypes
+install -m644 icons/hicolor/24x24/mimetypes/*.* $PKG/usr/share/icons/hicolor/24x24/mimetypes
+install -m644 icons/hicolor/32x32/mimetypes/*.* $PKG/usr/share/icons/hicolor/32x32/mimetypes
+install -m644 icons/hicolor/36x36/mimetypes/*.* $PKG/usr/share/icons/hicolor/36x36/mimetypes
+install -m644 icons/hicolor/48x48/mimetypes/*.* $PKG/usr/share/icons/hicolor/48x48/mimetypes
+install -m644 icons/hicolor/64x64/mimetypes/*.* $PKG/usr/share/icons/hicolor/64x64/mimetypes
+install -m644 icons/hicolor/72x72/mimetypes/*.* $PKG/usr/share/icons/hicolor/72x72/mimetypes
+install -m644 icons/hicolor/96x96/mimetypes/*.* $PKG/usr/share/icons/hicolor/96x96/mimetypes
+install -m644 icons/hicolor/128x128/mimetypes/*.* $PKG/usr/share/icons/hicolor/128x128/mimetypes
+install -m644 icons/hicolor/192x192/mimetypes/*.* $PKG/usr/share/icons/hicolor/192x192/mimetypes
+install -m644 icons/hicolor/256x256/mimetypes/*.* $PKG/usr/share/icons/hicolor/256x256/mimetypes
+install -m644 icons/hicolor/scalable/mimetypes/*.* $PKG/usr/share/icons/hicolor/scalable/mimetypes
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README _license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/GeoGebra/GeoGebra.info b/academic/GeoGebra/GeoGebra.info
new file mode 100644
index 0000000000..f0c8b77fa6
--- /dev/null
+++ b/academic/GeoGebra/GeoGebra.info
@@ -0,0 +1,10 @@
+PRGNAM="GeoGebra"
+VERSION="4.4.37.0"
+HOMEPAGE="http://www.geogebra.org/cms/en/"
+DOWNLOAD="http://download.geogebra.org/installers/4.4/GeoGebra-Linux-Installer-4.4.37.0.tar.gz"
+MD5SUM="81c2ef17f90354549a9d864938790072"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openjdk"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/academic/GeoGebra/README b/academic/GeoGebra/README
new file mode 100644
index 0000000000..700a0f33c4
--- /dev/null
+++ b/academic/GeoGebra/README
@@ -0,0 +1,4 @@
+GeoGebra (Dynamic mathematics and science for learning and teaching)
+
+GeoGebra is a free interactive geometry, algebra,
+statistics, and calculus software.
diff --git a/academic/GeoGebra/doinst.sh b/academic/GeoGebra/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/academic/GeoGebra/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/GeoGebra/slack-desc b/academic/GeoGebra/slack-desc
new file mode 100644
index 0000000000..0e8ddb407c
--- /dev/null
+++ b/academic/GeoGebra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+GeoGebra: GeoGebra (A free software for teaching mathematics)
+GeoGebra:
+GeoGebra: GeoGebra is a free interactive geometry, algebra,
+GeoGebra: statistics, and calculus software.
+GeoGebra:
+GeoGebra:
+GeoGebra:
+GeoGebra:
+GeoGebra:
+GeoGebra:
+GeoGebra: